#include <stdio.h>
#include <stdlib.h>

int factorial(long int N) {
  long int i, j, result, dp;

  dp=0; result = 1;

  for(i = 1; i <= N; i++) {

    j = i;                  //divide i by 2 and 5
    while (! (j % 2)) {
      j /= 2; dp++;
    }
    while (! (j % 5)) {
      j /= 5; dp--;
    }

    result = (result * (j % 10)) % 10;
  }

  for(i = 1; i <= dp; i++) {
    result = (result * 2) %10;
  }

  return result;
}

int main() {
  long int N;

  while (scanf(" %ld", &N) == 1) {
    printf("%d\n", factorial(N));
  }
  return 0;
}
